OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.LightTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTLightTexture :: MonadIO m => m Bool
- gl_EXT_light_texture :: Bool
- gl_ATTENUATION_EXT :: GLenum
- gl_FRAGMENT_COLOR_EXT :: GLenum
- gl_FRAGMENT_DEPTH_EXT :: GLenum
- gl_FRAGMENT_MATERIAL_EXT :: GLenum
- gl_FRAGMENT_NORMAL_EXT :: GLenum
- gl_SHADOW_ATTENUATION_EXT :: GLenum
- gl_TEXTURE_APPLICATION_MODE_EXT :: GLenum
- gl_TEXTURE_LIGHT_EXT :: GLenum
- gl_TEXTURE_MATERIAL_FACE_EXT :: GLenum
- gl_TEXTURE_MATERIAL_PARAMETER_EXT :: GLenum
- glApplyTextureEXT :: MonadIO m => GLenum -> m ()
- glTextureLightEXT :: MonadIO m => GLenum -> m ()
- glTextureMaterialEXT :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetEXTLightTexture :: MonadIO m => m Bool

Is the EXT_light_texture extension supported?

gl_EXT_light_texture :: Bool

Is the EXT_light_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTLightTexture` in those cases instead.

# Enums

gl_ATTENUATION_EXT :: GLenum

gl_FRAGMENT_COLOR_EXT :: GLenum

gl_FRAGMENT_DEPTH_EXT :: GLenum

gl_FRAGMENT_MATERIAL_EXT :: GLenum

gl_FRAGMENT_NORMAL_EXT :: GLenum

gl_SHADOW_ATTENUATION_EXT :: GLenum

gl_TEXTURE_APPLICATION_MODE_EXT :: GLenum

gl_TEXTURE_LIGHT_EXT :: GLenum

gl_TEXTURE_MATERIAL_FACE_EXT :: GLenum

gl_TEXTURE_MATERIAL_PARAMETER_EXT :: GLenum

# Functions

glApplyTextureEXT

Arguments

:: MonadIO m |
=> GLenum | `mode` of type `LightTextureModeEXT`.
-> m () |

glTextureLightEXT

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `LightTexturePNameEXT`.
-> m () |

glTextureMaterialEXT

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type MaterialParameter.
-> m () |